AMAROK(1)

NAME
amarok - The audio player for KDE

SYNOPSIS
amarok [Qt-options] [KDE-options] [URL(s)]

DESCRIPTION
Amarok is a powerful music player with an intuitive interface. It makes playing the music you love and discovering new music easier than ever before and it looks good doing it! Amarok is based on the powerful Qt 4 / KDE 4 technology platform and nicely integrates with KDE desktop. Much work has been invested into integrating Amarok 2 with various Web services:

•   Ampache

•   Jamendo Service

•   Last.fm

•   Librivox

•   MP3tunes

•   Magnatune

•   OPML Podcast Directory

Amarok comes with a lot of features including but not limited to:

•   Scripts - enhance your Amarok experience with community developed scripts.

•   Dynamic Playlists - create playlists that automatically update.

•   Context View - customize interface with the Plasma powered Context View.

•   PopUp Dropper - simplify drag&drop actions with revolutionary menu system.

•   Multiple Language Translations

•   Collection Management - organizing your music collection has never been easier with Amarok's powerful tagging, renaming, and sorting abilities.

•   Database Importing - import collections from Amarok 1.4 or iTunes.

•   Scriptable Services - integrate other web services into Amarok.

OPTIONS

  Arguments:

  URL(s) Files/URLs to open

  Options:

  -r, --previous
Skip backwards in playlist

-p, --play
    Start playing current playlist

-t, --play-pause
    Play if stopped, pause if playing

--pause
    Pause playback

-s, --stop
    Stop playback

-f, --next
    Skip forwards in playlist

  Generic options:

  --help
Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  KDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--config <filename>
    Use alternative configuration file

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

--nofork
    Do not run in the background.

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

--stylesheet
    <file.qss> applies the Qt stylesheet to the application widgets

AUTHORS

  Alexandre 'Ain't afraid of no bugs' Oliveira <aleprj@gmail.com>
Bart 'Where are my toothpicks' Cerneels <bart.cerneels@kde.org>
Dan 'Hey, it compiled...' Meltzer <hydrogen@notyetimplemented.com>
Ian 'The Beard' Monroe <ian@monroe.nu>
Jeff 'IROCKSOHARD' Mitchell <kde-dev@emailgoeshere.com>
Leo Franchi <lfranchi@kde.org>
Mark 'It's good, but it's not irssi' Kretschmann <kretschmann@kde.org>
Maximilian Kossick <maximilian.kossick@gmail.com>
Nikolaj Hald 'Also very hot' Nielsen <nhnfreespirit@gmail.com>
Seb 'Surfin' down under' Ruiz <ruiz@kde.org>